summaryrefslogtreecommitdiff
path: root/configure.sh
diff options
context:
space:
mode:
authorMathias Preiner <mathias.preiner@gmail.com>2021-03-08 12:24:41 -0800
committerGitHub <noreply@github.com>2021-03-08 20:24:41 +0000
commit10ddb10f9a5e20eff74d572d5bce7e7f4588a2f0 (patch)
tree9d1a0da94298eb823dde5d06ffdd6ccf5043b446 /configure.sh
parent4e2afa2282965f3f54033d43cd990cc0b0a8b200 (diff)
contrib: Do not use HOST env variable for cross-compilation host target. (#6078)
On some systems HOST is set by default to the host name. This commit adds a --host option for the get-antlr-3.4 and get-gmp-dev scripts. It further simplifies the machine type check in get-antlr-3.4 and updates the GMP version to 6.2.1.
Diffstat (limited to 'configure.sh')
-rwxr-xr-xconfigure.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/configure.sh b/configure.sh
index f583b008a..f39cbfb00 100755
--- a/configure.sh
+++ b/configure.sh
@@ -361,12 +361,12 @@ done
if [ "$arm64" == "ON" ]; then
echo "Setting up dependencies for ARM 64-bit build"
- HOST="aarch64-linux-gnu" contrib/get-antlr-3.4 || exit 1
- HOST="aarch64-linux-gnu" contrib/get-gmp-dev || exit 1
+ contrib/get-antlr-3.4 --host=aarch64-linux-gnu || exit 1
+ contrib/get-gmp-dev --host=aarch64-linux-gnu || exit 1
elif [ "$win64" == "ON" ]; then
echo "Setting up dependencies for Windows 64-bit build"
- HOST="x86_64-w64-mingw32" contrib/get-antlr-3.4 || exit 1
- HOST="x86_64-w64-mingw32" contrib/get-gmp-dev || exit 1
+ contrib/get-antlr-3.4 --host=x86_64-w64-mingw32 || exit 1
+ contrib/get-gmp-dev --host=x86_64-w64-mingw32 || exit 1
fi
#--------------------------------------------------------------------------#
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback